Bug 1731559 - Retirement of Ansible Playbook service using Embedded Ansible fails
Summary: Retirement of Ansible Playbook service using Embedded Ansible fails
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.12.0
Assignee: drew uhlmann
QA Contact: Satyajit Bulage
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1762428 1784486
TreeView+ depends on / blocked
 
Reported: 2019-07-19 18:46 UTC by William Fitzgerald
Modified: 2020-02-21 03:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1762428 1784486 (view as bug list)
Environment:
Last Closed:
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description William Fitzgerald 2019-07-19 18:46:22 UTC
Description of problem:  Scheduled retirement of Ansible Playbook service using embedded Ansible fails


Version-Release number of selected component (if applicable):
5.10.6.1 but have seen this in other 5.10 releases

How reproducible:
100%

Steps to Reproduce:
1. Create and order Ansible Playbook service
2. When its finished, set the retirement time to now
3. Wait about 10 minutes

Actual results:
[----] I, [2019-07-19T14:36:51.074896 #12894:fa0f64]  INFO -- : MIQ(MiqQueue#deliver) Message id: [10000000008587], Delivering...
[----] I, [2019-07-19T14:36:51.107319 #12894:fa0f64]  INFO -- : Raising Retirement Event for [hello world] with queue options: {:user_id=>10000000000001, :group_id=>10000000000002, :tenant_id=>10000000000001}
[----] I, [2019-07-19T14:36:51.128230 #12894:fa0f64]  INFO -- : MIQ(MiqQueue.put) Message id: [10000000008589],  id: [], Zone: [default], Role: [automate], Server: [], MiqTask id: [], Ident: [generic], Target id: [], Instance id: [], Task id: [], Command: [MiqAeEngine.deliver], Timeout: [3600], Priority: [20], State: [ready], Deliver On: [], Data: [], Args: [{:object_type=>"ServiceAnsiblePlaybook", :object_id=>10000000000002, :attrs=>{:event_type=>"service_retire_warn", "User::user"=>10000000000001, :user_id=>10000000000001, "Service::service"=>10000000000002, :service_id=>10000000000002, :type=>"ServiceAnsiblePlaybook", "MiqEvent::miq_event"=>10000000000033, :miq_event_id=>10000000000033, "EventStream::event_stream"=>10000000000033, :event_stream_id=>10000000000033}, :instance_name=>"Event", :user_id=>10000000000001, :miq_group_id=>10000000000002, :tenant_id=>10000000000001, :automate_message=>nil}]
[----] E, [2019-07-19T14:36:51.129935 #12894:fa0f64] ERROR -- : MIQ(MiqQueue#deliver) Message id: [10000000008587], Error: [uninitialized constant ServiceAnsiblePlaybookRetireRequest]
[----] E, [2019-07-19T14:36:51.130191 #12894:fa0f64] ERROR -- : [NameError]: uninitialized constant ServiceAnsiblePlaybookRetireRequest  Method:[block (2 levels) in <class:LogProxy>]
[----] E, [2019-07-19T14:36:51.130279 #12894:fa0f64] ERROR -- : /opt/rh/cfme-gemset/gems/activesupport-5.0.7.2/lib/active_support/inflector/methods.rb:268:in `const_get'
/opt/rh/cfme-gemset/gems/activesupport-5.0.7.2/lib/active_support/inflector/methods.rb:268:in `block in constantize'
/opt/rh/cfme-gemset/gems/activesupport-5.0.7.2/lib/active_support/inflector/methods.rb:266:in `each'
/opt/rh/cfme-gemset/gems/activesupport-5.0.7.2/lib/active_support/inflector/methods.rb:266:in `inject'
/opt/rh/cfme-gemset/gems/activesupport-5.0.7.2/lib/active_support/inflector/methods.rb:266:in `constantize'
/opt/rh/cfme-gemset/gems/activesupport-5.0.7.2/lib/active_support/core_ext/string/inflections.rb:66:in `constantize'
/var/www/miq/vmdb/app/models/mixins/retirement_mixin.rb:14:in `make_retire_request'


Expected results:
Service should be retired

Additional info:
Reproducer: 10.8.99.114

Comment 2 Tina Fitzgerald 2019-10-14 16:38:58 UTC
Hi Billy,

The reproducer environment specified above is not accessible.
Can you setup a new reproducer environment?

Thanks,
Tina

Comment 4 drew uhlmann 2019-10-15 16:53:50 UTC
Hey Billy, can I please ask you to retest on the one in comment three? Should be a lil happier now.

Comment 7 drew uhlmann 2019-10-15 18:28:58 UTC
Changed title cause it's not only scheduled retirement, this bug will block any retirement of APBSes and I hope that it'll get triaged as such cause from my perspective it's a bit important

Comment 8 CFME Bot 2019-10-15 21:00:44 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/9a032c41dba6004b7d01f48ed24246daecdc11fa
commit 9a032c41dba6004b7d01f48ed24246daecdc11fa
Author:     d-m-u <drewuhlmann@gmail.com>
AuthorDate: Tue Oct 15 12:45:44 2019 -0400
Commit:     d-m-u <drewuhlmann@gmail.com>
CommitDate: Tue Oct 15 12:45:44 2019 -0400

    Generate retire requests from the base class name

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1731559

 app/models/mixins/retirement_mixin.rb | 2 +-
 spec/models/service/retirement_management_spec.rb | 7 +
 2 files changed, 8 insertions(+), 1 deletion(-)

Comment 9 Tina Fitzgerald 2019-10-16 11:18:33 UTC
Hi Dennis, Satoe,

Can this ticket be included in the next 5.10 build?

It's an important change and is very low risk.

Let me know if you have any questions.

Thanks,
Tina

Comment 10 Satoe Imaishi 2019-10-16 17:30:45 UTC
Approved for the next 5.10 build.


Note You need to log in before you can comment on or make changes to this bug.